Skip to main content
POST
/
v1
/
public
/
accounts
/
{account_id}
/
credentials
Create Master Password
curl --request POST \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "domain": "<string>",
  "generate": false,
  "value": "<string>",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "created_at": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "<string>",
  "generated_secret": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Path Parameters

account_id
string<uuid>
required

Body

application/json

Request to create a master password under an account path scope.

name
string
required

Master password display name

Required string length: 1 - 100
domain
string | null

Domain UUID or domain name scope for the master password

generate
boolean
default:false

Generate a master password secret instead of supplying one

value
string | null

Master password secret value when not generated

Required string length: 4 - 256
workspace_id
string<uuid> | null

Workspace UUID scope for the master password

Response

created_at
string
required

Master password creation timestamp

id
string<uuid>
required

Master password UUID

name
string
required

Master password display name

scope_id
string<uuid>
required

Resource UUID for the master password scope

scope_type
enum<string>
required

Resource scope type where the master password applies

Available options:
account,
workspace,
domain
updated_at
string
required

Master password last update timestamp

generated_secret
string | null

One-time generated master password secret, when requested